#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        LDAP access API for KDE
Name:           kldap
Version: 24.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Gui)

BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6WidgetsAddons)

BuildRequires:  pkgconfig(ldap)
BuildRequires:  pkgconfig(libsasl2)

Recommends:     %{name}-handbook


%description
LDAP access API for KDE.

%files -f %name.lang
%_kf6_categoriesdir/kldap.categories
%_kf6_categoriesdir/kldap.renamecategories

#--------------------------------------------------------------------

%package -n kio6-ldap
Summary:        KDE ldap module
Group:          System/Libraries
Requires:       %{name} >= %version-%release
Requires:       akonadi-contacts

%description -n kio6-ldap
KDE ldap module.

%files -n kio6-ldap
%_kf6_plugindir/kio/ldap.so

#------------------------------------------------------------------------------

%define kpimldapcore_major 6
%define libkpimldapcore %mklibname kpim6ldapcore %{kpimldapcore_major}

%package -n %libkpimldapcore
Summary:        LDAP access API for KDE
Group:          System/Libraries

%description -n %libkpimldapcore
LDAP access API for KDE.

%files -n %libkpimldapcore
%_kf6_libdir/libKPim6LdapCore.so.%{kpimldapcore_major}{,.*}

#--------------------------------------------------------------------

%define kpimldapwidgets_major 6
%define libkpimldapwidgets %mklibname kpim6ldapwidgets %{kpimldapwidgets_major}

%package -n %libkpimldapwidgets
Summary:        LDAP access API for KDE
Group:          System/Libraries

%description -n %libkpimldapwidgets
LDAP access API for KDE.

%files -n %libkpimldapwidgets
%_kf6_libdir/libKPim6LdapWidgets.so.%{kpimldapwidgets_major}{,.*}

#--------------------------------------------------------------------

%define kldap_devel %mklibname kpim6ldap -d

%package -n %kldap_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkpimldapcore = %version-%release
Requires:       %libkpimldapwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kldap_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kldap_devel
%_includedir/KPim6/KLDAPCore/
%_includedir/KPim6/KLDAPWidgets/
%_kf6_libdir/libKPim6LdapCore.so
%_kf6_libdir/libKPim6LdapWidgets.so
%_kf6_libdir/cmake/KPim6LdapCore/
%_kf6_libdir/cmake/KPim6LdapWidgets/

#--------------------------------------------------------------------

%package        handbook
Summary:        Kldap Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides Kldap handbook.

%files handbook
%{_kf6_docdir}/HTML/*/kioworker6/ldap/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147173
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136574
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123814
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116371
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114063
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105562
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097427
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087623
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085119
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073227
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069873
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058632
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2046571
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037669
- New version 24.01.95

* Fri Jan 26 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2034949
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025169
- New version 24.01.85

* Fri Nov 17 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007362
- New version 24.01.75

* Tue Sep 26 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1990961
- New version 23.08.1

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959209
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946504
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941797
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922918
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911412
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905264
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886783
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880769
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873079
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853972
- New version 22.04.0

* Wed Apr 20 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1852080
- New version 22.03.90

* Fri Mar 18 2022 papoteur <papoteur> 21.12.0-2.mga9
+ Revision: 1798927
- Fix build with GCC 12 (standard attributes in middle of decl-specifiers)

* Thu Dec 30 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1765400
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724071
- New version 21.04.1

* Sun Apr 25 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1719387
- New version 21.04.0

* Fri Mar 05 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1699197
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694087
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655617
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644003
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633819
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627061
- New version 20.08.1

* Thu Aug 20 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1616631
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604126
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596859
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584510
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568140
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559329
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540672
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513299
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466954
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457903
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447521
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425951
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390452
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387659
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382596
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375608
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365572
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356510
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339518
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332748
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327402
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298574
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1228969
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201899
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194921
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186459
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143049
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136783
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133571
- Fix for new find_lang

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131023
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090079
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076819
- New version 16.12.0

* Fri Dec 09 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1073723
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067342
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061401
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050667
- New version 16.08.1

* Thu Sep 08 2016 neoclust <neoclust> 16.08.0-4.mga6
+ Revision: 1050484
- Fix update from older kde apps

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-3.mga6
+ Revision: 1049143
- kio5-ldap requires akonadi-contacts

* Tue Aug 23 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1047967
- add subpackage kio5-ldap no more provided by kdepimlibs
- conflicts kdepimlibs-handbooks from kldap-handbook subpackage

* Mon Aug 22 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047786
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040068
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012554
- New version 16.04.1

* Sat Apr 23 2016 akien <akien> 16.04.0-2.mga6
+ Revision: 1005582
- Rename lib to remove unnecessary underscore
- Add obsoletes against %%{_lib}kf5ldap_4 which contained libKF5Ldap.so.5

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004344
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995835
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991191
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987460
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922629
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911945
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905403
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901139
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890620
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880432
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865950
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863927
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861763
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858439
- imported package kldap

